{
	"0: data": {
		"srcIndexStart": "0", 
		"file": "docssrc/docs.tmpl", 
		"parseTreeMode": "true", 
		"srcLength": "5955", 
		"source": "[$name|docs$]
[$title|Goldie Home (v0.8)$]
[$frame|HTMLPage.tmpl$]
<h4 style=\"margin-top: 0px; font-style: italic;\">It parses stuff!</h4>

<p>
[$ident|Goldie$] is a series of
[$link| https://bitbucket.org/Abscissa/goldie/src/v0.8/LICENSE.txt | open-source $]
parsing tools, including an optional
[$link| http://www.d-programming-language.org/ | D programming language $]
library called [$ident|GoldieLib$].
Goldie is compatible with
[$pageLink|OtherTools#GOLD| GOLD Parser Builder $]
and can be used either together with it, or as an alternative to it.
</p>

<h3 style=\"margin-bottom: 0px;\">Some of Goldie's benefits:</h3>
<p style=\"margin-bottom: 0px; margin-top: 0px; font-size: 0.9em; font-style: italic;\">
	(most are thanks to Goldie's compatibility with GOLD Parser Builder)
</p>
<ul class=\"info-list\">
<li>
	<h4>Grammars are fully reusable</h4>
	<div class=\"info-list-info\">
	No need to create a new grammar for every purpose and every host language.
	Many grammars are
	[$link|http://goldparser.org/grammars/index.htm| already available $].
	</div>
</li>
<li>
	<h4>Grammar-agnostic engine</h4>
	<div class=\"info-list-info\">
	One lexer/parser engine can be used for all grammars.
	</div>
</li>
<li>
	<h4>Engines for nearly any language or platform</h4>
	<div class=\"info-list-info\">
	A cross-platform
	[$link| http://www.d-programming-language.org/ | D $]-hosted
	engine is included via [$pageLink|APIOver| GoldieLib $].
	Engines for many other platforms are
	[$pageLink|OtherTools#EngineLinks| also available $].
	New engines are easy to write.
	</div>
</li>
<li>
	<h4>Static-Style</h4>
	<div class=\"info-list-info\">
	[$pageLink|StatVsDyn| Static-style $] provides compile-time checks and extra type-safety.
	</div>
</li>
<li>
	<h4>Dynamic-Style</h4>
	<div class=\"info-list-info\">
	[$pageLink|StatVsDyn| Dynamic-style $] lets you write programs that support user-created grammars.
	</div>
</li>
<li>
	<h4>Lexing and parsing</h4>
	<div class=\"info-list-info\">
	Lexing and parsing are defined
	[$pageLink|Grammar| in the same file $]
	and handled by one unified tool.
	</div>
</li>
<li>
	<h4>Many tools available</h4>
	<div class=\"info-list-info\">
	See the [$pageTitle|Tools$] page.
	</div>
</li>
</ul>

<p>
Goldie is fully-usable and has been tested on both Windows and Linux
(it should also work on OSX and any other platform supported by DMD,
but has not been tested),
although GoldieLib's API is still subject to change. Goldie is licensed under
[$link| https://bitbucket.org/Abscissa/goldie/src/v0.8/LICENSE.txt |The zlib/libpng License$].
</p>

<h3 class=\"list-heading\">Helpful Links:</h3>
<ul>
<li>[$pageTitle| Start $]</li>
<li>[$pageTitle| LearnParsing $]</li>
<li>[$pageTitle| Tutorial $]</li>
<li>[$link| https://bitbucket.org/Abscissa/goldie/v0.8 | Browse Git Repository $]</li>
<li>[$pageLink|OtherTools#GOLD                 | GOLD Parser Builder $] - A related tool that Goldie is compatible with.</li>
<li>[$link| http://www.semitwist.com/goldwiki/ | GOLD Wiki $] - A Wiki for GOLD Parser Builder</li>
</ul>

<hr />

<p>
If you use Git master, be sure to read [$pageTitle|GitMaster$].
</p>

<p>
The homepage and documentation for the most recent version of Goldie can always be found online at:<br />
[$urlLink| http://www.semitwist.com/goldie/ $]
</p>

<p>
The documentation for this version of Goldie can always be found online at:<br />
[$urlLink| http://www.semitwist.com/goldie/v0.8/ $]
</p>

<p>
Prepackaged Goldie releases include a local offline copy of this documentation at:<br />
[$code|inline| {main goldie directory}/docs/index.html $]<br />
To build local documentation manually, see [$pageTitle|GenDocs$].
</p>

<p>
Links to documentation for older versions of Goldie are on the [$pageTitle|ChangeLog$] page.
</p>

[$page|
	[$file| docs.Start.tmpl $]
	[$page| [$file| docs.Start.Requires.tmpl     $] $]
	[$page| [$file| docs.Start.Install.tmpl      $] $]
	[$page| [$file| docs.Start.LearnParsing.tmpl $] $]
	[$page| [$file| docs.Start.Overview.tmpl     $] $]
	[$page| [$file| docs.Start.Tutorial.tmpl     $] $]
	[$page| [$file| docs.Start.Grammar.tmpl      $] $]
	[$page|
		[$file| docs.Start.Contact.tmpl $]
		[$page| [$file| docs.Start.Contact.MessageBoard.tmpl $] $]
		[$page| [$file| docs.Start.Contact.Tickets.tmpl      $] $]
	$]
$]
[$page|
	[$file| docs.Tools.tmpl $]
	[$page| [$file| docs.Tools.DumpCGT.tmpl    $] $]
	[$page| [$file| docs.Tools.GenDocs.tmpl    $]
		[$page| [$file| docs.Tools.GenDocs.TemplateFormat.tmpl $] $]
	$]
	[$page| [$file| docs.Tools.GRMC.tmpl    $] $]
	[$page| [$file| docs.Tools.JsonViewer.tmpl $]
		[$page| [$file| docs.Tools.JsonViewer.ParseTreeMode.tmpl $] $]
	$]
	[$page| [$file| docs.Tools.Parse.tmpl      $] $]
	[$page| [$file| docs.Tools.StaticLang.tmpl $] $]
	[$page| [$file| docs.Tools.OtherTools.tmpl $] $]
$]
[$page|
	[$file| docs.APIOver.tmpl$]
	[$page| [$file| docs.APIOver.StatVsDyn.tmpl    $] $]
	[$page| [$file| docs.APIOver.AmbiguousSym.tmpl $] $]
$]
[$page|
	[$file| docs.APIRef.tmpl $]
	[$page| [$file| docs.APIRef.Base.tmpl      $] $]
	[$page| [$file| docs.APIRef.Exception.tmpl $] $]
	[$page| [$file| docs.APIRef.Language.tmpl  $] $]
	[$page| [$file| docs.APIRef.Lexer.tmpl     $] $]
	[$page| [$file| docs.APIRef.Parser.tmpl    $] $]
	[$page| [$file| docs.APIRef.Symbol.tmpl    $] $]
	[$page| [$file| docs.APIRef.Token.tmpl     $] $]
	[$page| [$file| docs.APIRef.Ver.tmpl       $] $]
$]
[$page|
	[$file| docs.SampleApps.tmpl $]
	[$page| [$file| docs.SampleApps.CalculatorStatic.tmpl   $] $]
	[$page| [$file| docs.SampleApps.CalculatorDynamic.tmpl  $] $]
	[$page| [$file| docs.SampleApps.SampleGenericParse.tmpl $] $]
$]
[$page| [$file| docs.CGT.tmpl       $] $]
[$page| [$file| docs.FAQ.tmpl       $] $]
[$page| [$file| docs.ChangeLog.tmpl $] $]
[$page| [$file| docs.GitMaster.tmpl $] $]
[$page| [$file| docs.Future.tmpl    $] $]
[$page| [$file| docs.Dev.tmpl $]
	[$page| [$file| docs.Dev.DevScripts.tmpl $] $]
	[$page| [$file| docs.Dev.DevStaticLang.tmpl $] $]
$]
", 
		"0: name": {
			"srcIndexStart": "0", 
			"data": "docs", 
			"srcLength": "13", 
			"0: data": {
				"srcIndexStart": "7", 
				"data": "docs", 
				"srcLength": "4"
			}
		}, 
		"1: data": {
			"srcIndexStart": "13", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"2: title": {
			"srcIndexStart": "14", 
			"data": "Goldie Home (v0.8)", 
			"srcLength": "28", 
			"0: data": {
				"srcIndexStart": "22", 
				"data": "Goldie Home (v0.8)", 
				"srcLength": "18"
			}
		}, 
		"3: data": {
			"srcIndexStart": "42", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"4: frame": {
			"srcIndexStart": "43", 
			"data": "HTMLPage.tmpl", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "51", 
				"data": "HTMLPage.tmpl", 
				"srcLength": "13"
			}
		}, 
		"5: data": {
			"srcIndexStart": "66", 
			"data": "
<h4 style=\"margin-top: 0px; font-style: italic;\">It parses stuff!</h4>

<p>
", 
			"srcLength": "77"
		}, 
		"6: ident": {
			"srcIndexStart": "143", 
			"data": "Goldie", 
			"srcLength": "16", 
			"0: data": {
				"srcIndexStart": "151", 
				"data": "Goldie", 
				"srcLength": "6"
			}
		}, 
		"7: data": {
			"srcIndexStart": "159", 
			"data": " is a series of
", 
			"srcLength": "16"
		}, 
		"8: link": {
			"srcIndexStart": "175", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/LICENSE.txt", 
			"data": "open-source", 
			"srcLength": "83", 
			"0: data": {
				"srcIndexStart": "243", 
				"data": "open-source", 
				"srcLength": "13"
			}
		}, 
		"9: data": {
			"srcIndexStart": "258", 
			"data": "
parsing tools, including an optional
", 
			"srcLength": "38"
		}, 
		"10: link": {
			"srcIndexStart": "296", 
			"param 0": "http://www.d-programming-language.org/", 
			"data": "D programming language", 
			"srcLength": "74", 
			"0: data": {
				"srcIndexStart": "344", 
				"data": "D programming language", 
				"srcLength": "24"
			}
		}, 
		"11: data": {
			"srcIndexStart": "370", 
			"data": "
library called ", 
			"srcLength": "16"
		}, 
		"12: ident": {
			"srcIndexStart": "386", 
			"data": "GoldieLib", 
			"srcLength": "19", 
			"0: data": {
				"srcIndexStart": "394", 
				"data": "GoldieLib", 
				"srcLength": "9"
			}
		}, 
		"13: data": {
			"srcIndexStart": "405", 
			"data": ".
Goldie is compatible with
", 
			"srcLength": "28"
		}, 
		"14: pageLink": {
			"srcIndexStart": "433", 
			"param 0": "OtherTools#GOLD", 
			"data": "GOLD Parser Builder", 
			"srcLength": "50", 
			"0: data": {
				"srcIndexStart": "460", 
				"data": "GOLD Parser Builder", 
				"srcLength": "21"
			}
		}, 
		"15: data": {
			"srcIndexStart": "483", 
			"data": "
and can be used either together with it, or as an alternative to it.
</p>

<h3 style=\"margin-bottom: 0px;\">Some of Goldie's benefits:</h3>
<p style=\"margin-bottom: 0px; margin-top: 0px; font-size: 0.9em; font-style: italic;\">
	(most are thanks to Goldie's compatibility with GOLD Parser Builder)
</p>
<ul class=\"info-list\">
<li>
	<h4>Grammars are fully reusable</h4>
	<div class=\"info-list-info\">
	No need to create a new grammar for every purpose and every host language.
	Many grammars are
	", 
			"srcLength": "494"
		}, 
		"16: link": {
			"srcIndexStart": "977", 
			"param 0": "http://goldparser.org/grammars/index.htm", 
			"data": "already available", 
			"srcLength": "69", 
			"0: data": {
				"srcIndexStart": "1025", 
				"data": "already available", 
				"srcLength": "19"
			}
		}, 
		"17: data": {
			"srcIndexStart": "1046", 
			"data": ".
	</div>
</li>
<li>
	<h4>Grammar-agnostic engine</h4>
	<div class=\"info-list-info\">
	One lexer/parser engine can be used for all grammars.
	</div>
</li>
<li>
	<h4>Engines for nearly any language or platform</h4>
	<div class=\"info-list-info\">
	A cross-platform
	", 
			"srcLength": "262"
		}, 
		"18: link": {
			"srcIndexStart": "1308", 
			"param 0": "http://www.d-programming-language.org/", 
			"data": "D", 
			"srcLength": "53", 
			"0: data": {
				"srcIndexStart": "1356", 
				"data": "D", 
				"srcLength": "3"
			}
		}, 
		"19: data": {
			"srcIndexStart": "1361", 
			"data": "-hosted
	engine is included via ", 
			"srcLength": "32"
		}, 
		"20: pageLink": {
			"srcIndexStart": "1393", 
			"param 0": "APIOver", 
			"data": "GoldieLib", 
			"srcLength": "32", 
			"0: data": {
				"srcIndexStart": "1412", 
				"data": "GoldieLib", 
				"srcLength": "11"
			}
		}, 
		"21: data": {
			"srcIndexStart": "1425", 
			"data": ".
	Engines for many other platforms are
	", 
			"srcLength": "41"
		}, 
		"22: pageLink": {
			"srcIndexStart": "1466", 
			"param 0": "OtherTools#EngineLinks", 
			"data": "also available", 
			"srcLength": "52", 
			"0: data": {
				"srcIndexStart": "1500", 
				"data": "also available", 
				"srcLength": "16"
			}
		}, 
		"23: data": {
			"srcIndexStart": "1518", 
			"data": ".
	New engines are easy to write.
	</div>
</li>
<li>
	<h4>Static-Style</h4>
	<div class=\"info-list-info\">
	", 
			"srcLength": "107"
		}, 
		"24: pageLink": {
			"srcIndexStart": "1625", 
			"param 0": "StatVsDyn", 
			"data": "Static-style", 
			"srcLength": "37", 
			"0: data": {
				"srcIndexStart": "1646", 
				"data": "Static-style", 
				"srcLength": "14"
			}
		}, 
		"25: data": {
			"srcIndexStart": "1662", 
			"data": " provides compile-time checks and extra type-safety.
	</div>
</li>
<li>
	<h4>Dynamic-Style</h4>
	<div class=\"info-list-info\">
	", 
			"srcLength": "127"
		}, 
		"26: pageLink": {
			"srcIndexStart": "1789", 
			"param 0": "StatVsDyn", 
			"data": "Dynamic-style", 
			"srcLength": "38", 
			"0: data": {
				"srcIndexStart": "1810", 
				"data": "Dynamic-style", 
				"srcLength": "15"
			}
		}, 
		"27: data": {
			"srcIndexStart": "1827", 
			"data": " lets you write programs that support user-created grammars.
	</div>
</li>
<li>
	<h4>Lexing and parsing</h4>
	<div class=\"info-list-info\">
	Lexing and parsing are defined
	", 
			"srcLength": "172"
		}, 
		"28: pageLink": {
			"srcIndexStart": "1999", 
			"param 0": "Grammar", 
			"data": "in the same file", 
			"srcLength": "39", 
			"0: data": {
				"srcIndexStart": "2018", 
				"data": "in the same file", 
				"srcLength": "18"
			}
		}, 
		"29: data": {
			"srcIndexStart": "2038", 
			"data": "
	and handled by one unified tool.
	</div>
</li>
<li>
	<h4>Many tools available</h4>
	<div class=\"info-list-info\">
	See the ", 
			"srcLength": "124"
		}, 
		"30: pageTitle": {
			"srcIndexStart": "2162", 
			"data": "Tools", 
			"srcLength": "19", 
			"0: data": {
				"srcIndexStart": "2174", 
				"data": "Tools", 
				"srcLength": "5"
			}
		}, 
		"31: data": {
			"srcIndexStart": "2181", 
			"data": " page.
	</div>
</li>
</ul>

<p>
Goldie is fully-usable and has been tested on both Windows and Linux
(it should also work on OSX and any other platform supported by DMD,
but has not been tested),
although GoldieLib's API is still subject to change. Goldie is licensed under
", 
			"srcLength": "274"
		}, 
		"32: link": {
			"srcIndexStart": "2455", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/LICENSE.txt", 
			"data": "The zlib/libpng License", 
			"srcLength": "93", 
			"0: data": {
				"srcIndexStart": "2523", 
				"data": "The zlib/libpng License", 
				"srcLength": "23"
			}
		}, 
		"33: data": {
			"srcIndexStart": "2548", 
			"data": ".
</p>

<h3 class=\"list-heading\">Helpful Links:</h3>
<ul>
<li>", 
			"srcLength": "62"
		}, 
		"34: pageTitle": {
			"srcIndexStart": "2610", 
			"data": "Start", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "2622", 
				"data": "Start", 
				"srcLength": "7"
			}
		}, 
		"35: data": {
			"srcIndexStart": "2631", 
			"data": "</li>
<li>", 
			"srcLength": "10"
		}, 
		"36: pageTitle": {
			"srcIndexStart": "2641", 
			"data": "LearnParsing", 
			"srcLength": "28", 
			"0: data": {
				"srcIndexStart": "2653", 
				"data": "LearnParsing", 
				"srcLength": "14"
			}
		}, 
		"37: data": {
			"srcIndexStart": "2669", 
			"data": "</li>
<li>", 
			"srcLength": "10"
		}, 
		"38: pageTitle": {
			"srcIndexStart": "2679", 
			"data": "Tutorial", 
			"srcLength": "24", 
			"0: data": {
				"srcIndexStart": "2691", 
				"data": "Tutorial", 
				"srcLength": "10"
			}
		}, 
		"39: data": {
			"srcIndexStart": "2703", 
			"data": "</li>
<li>", 
			"srcLength": "10"
		}, 
		"40: link": {
			"srcIndexStart": "2713", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/v0.8", 
			"data": "Browse Git Repository", 
			"srcLength": "77", 
			"0: data": {
				"srcIndexStart": "2765", 
				"data": "Browse Git Repository", 
				"srcLength": "23"
			}
		}, 
		"41: data": {
			"srcIndexStart": "2790", 
			"data": "</li>
<li>", 
			"srcLength": "10"
		}, 
		"42: pageLink": {
			"srcIndexStart": "2800", 
			"param 0": "OtherTools#GOLD", 
			"data": "GOLD Parser Builder", 
			"srcLength": "67", 
			"0: data": {
				"srcIndexStart": "2844", 
				"data": "GOLD Parser Builder", 
				"srcLength": "21"
			}
		}, 
		"43: data": {
			"srcIndexStart": "2867", 
			"data": " - A related tool that Goldie is compatible with.</li>
<li>", 
			"srcLength": "59"
		}, 
		"44: link": {
			"srcIndexStart": "2926", 
			"param 0": "http://www.semitwist.com/goldwiki/", 
			"data": "GOLD Wiki", 
			"srcLength": "57", 
			"0: data": {
				"srcIndexStart": "2970", 
				"data": "GOLD Wiki", 
				"srcLength": "11"
			}
		}, 
		"45: data": {
			"srcIndexStart": "2983", 
			"data": " - A Wiki for GOLD Parser Builder</li>
</ul>

<hr />

<p>
If you use Git master, be sure to read ", 
			"srcLength": "97"
		}, 
		"46: pageTitle": {
			"srcIndexStart": "3080", 
			"data": "GitMaster", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "3092", 
				"data": "GitMaster", 
				"srcLength": "9"
			}
		}, 
		"47: data": {
			"srcIndexStart": "3103", 
			"data": ".
</p>

<p>
The homepage and documentation for the most recent version of Goldie can always be found online at:<br />
", 
			"srcLength": "118"
		}, 
		"48: urlLink": {
			"srcIndexStart": "3221", 
			"data": "http://www.semitwist.com/goldie/", 
			"srcLength": "46", 
			"0: data": {
				"srcIndexStart": "3231", 
				"data": "http://www.semitwist.com/goldie/", 
				"srcLength": "34"
			}
		}, 
		"49: data": {
			"srcIndexStart": "3267", 
			"data": "
</p>

<p>
The documentation for this version of Goldie can always be found online at:<br />
", 
			"srcLength": "93"
		}, 
		"50: urlLink": {
			"srcIndexStart": "3360", 
			"data": "http://www.semitwist.com/goldie/v0.8/", 
			"srcLength": "51", 
			"0: data": {
				"srcIndexStart": "3370", 
				"data": "http://www.semitwist.com/goldie/v0.8/", 
				"srcLength": "39"
			}
		}, 
		"51: data": {
			"srcIndexStart": "3411", 
			"data": "
</p>

<p>
Prepackaged Goldie releases include a local offline copy of this documentation at:<br />
", 
			"srcLength": "100"
		}, 
		"52: code": {
			"srcIndexStart": "3511", 
			"param 0": "inline", 
			"data": "{main goldie directory}/docs/index.html", 
			"srcLength": "57", 
			"0: data": {
				"srcIndexStart": "3525", 
				"data": "{main goldie directory}/docs/index.html", 
				"srcLength": "41"
			}
		}, 
		"53: data": {
			"srcIndexStart": "3568", 
			"data": "<br />
To build local documentation manually, see ", 
			"srcLength": "50"
		}, 
		"54: pageTitle": {
			"srcIndexStart": "3618", 
			"data": "GenDocs", 
			"srcLength": "21", 
			"0: data": {
				"srcIndexStart": "3630", 
				"data": "GenDocs", 
				"srcLength": "7"
			}
		}, 
		"55: data": {
			"srcIndexStart": "3639", 
			"data": ".
</p>

<p>
Links to documentation for older versions of Goldie are on the ", 
			"srcLength": "75"
		}, 
		"56: pageTitle": {
			"srcIndexStart": "3714", 
			"data": "ChangeLog", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "3726", 
				"data": "ChangeLog", 
				"srcLength": "9"
			}
		}, 
		"57: data": {
			"srcIndexStart": "3737", 
			"data": " page.
</p>

", 
			"srcLength": "13"
		}, 
		"58: page": {
			"srcIndexStart": "3750", 
			"srcLength": "522", 
			"0: data": {
				"srcIndexStart": "3757", 
				"data": "", 
				"srcLength": "2"
			}, 
			"1: file": {
				"srcIndexStart": "3759", 
				"data": "docs.Start.tmpl", 
				"srcLength": "26", 
				"0: data": {
					"srcIndexStart": "3766", 
					"data": "docs.Start.tmpl", 
					"srcLength": "17"
				}
			}, 
			"2: data": {
				"srcIndexStart": "3785", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"3: page": {
				"srcIndexStart": "3787", 
				"srcLength": "50", 
				"0: data": {
					"srcIndexStart": "3794", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "3795", 
					"data": "docs.Start.Requires.tmpl", 
					"srcLength": "39", 
					"0: data": {
						"srcIndexStart": "3802", 
						"data": "docs.Start.Requires.tmpl", 
						"srcLength": "30"
					}
				}, 
				"2: data": {
					"srcIndexStart": "3834", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"4: data": {
				"srcIndexStart": "3837", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"5: page": {
				"srcIndexStart": "3839", 
				"srcLength": "50", 
				"0: data": {
					"srcIndexStart": "3846", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "3847", 
					"data": "docs.Start.Install.tmpl", 
					"srcLength": "39", 
					"0: data": {
						"srcIndexStart": "3854", 
						"data": "docs.Start.Install.tmpl", 
						"srcLength": "30"
					}
				}, 
				"2: data": {
					"srcIndexStart": "3886", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"6: data": {
				"srcIndexStart": "3889", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"7: page": {
				"srcIndexStart": "3891", 
				"srcLength": "50", 
				"0: data": {
					"srcIndexStart": "3898", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "3899", 
					"data": "docs.Start.LearnParsing.tmpl", 
					"srcLength": "39", 
					"0: data": {
						"srcIndexStart": "3906", 
						"data": "docs.Start.LearnParsing.tmpl", 
						"srcLength": "30"
					}
				}, 
				"2: data": {
					"srcIndexStart": "3938", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"8: data": {
				"srcIndexStart": "3941", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"9: page": {
				"srcIndexStart": "3943", 
				"srcLength": "50", 
				"0: data": {
					"srcIndexStart": "3950", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "3951", 
					"data": "docs.Start.Overview.tmpl", 
					"srcLength": "39", 
					"0: data": {
						"srcIndexStart": "3958", 
						"data": "docs.Start.Overview.tmpl", 
						"srcLength": "30"
					}
				}, 
				"2: data": {
					"srcIndexStart": "3990", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"10: data": {
				"srcIndexStart": "3993", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"11: page": {
				"srcIndexStart": "3995", 
				"srcLength": "50", 
				"0: data": {
					"srcIndexStart": "4002", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4003", 
					"data": "docs.Start.Tutorial.tmpl", 
					"srcLength": "39", 
					"0: data": {
						"srcIndexStart": "4010", 
						"data": "docs.Start.Tutorial.tmpl", 
						"srcLength": "30"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4042", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"12: data": {
				"srcIndexStart": "4045", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"13: page": {
				"srcIndexStart": "4047", 
				"srcLength": "50", 
				"0: data": {
					"srcIndexStart": "4054", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4055", 
					"data": "docs.Start.Grammar.tmpl", 
					"srcLength": "39", 
					"0: data": {
						"srcIndexStart": "4062", 
						"data": "docs.Start.Grammar.tmpl", 
						"srcLength": "30"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4094", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"14: data": {
				"srcIndexStart": "4097", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"15: page": {
				"srcIndexStart": "4099", 
				"srcLength": "170", 
				"0: data": {
					"srcIndexStart": "4106", 
					"data": "", 
					"srcLength": "3"
				}, 
				"1: file": {
					"srcIndexStart": "4109", 
					"data": "docs.Start.Contact.tmpl", 
					"srcLength": "34", 
					"0: data": {
						"srcIndexStart": "4116", 
						"data": "docs.Start.Contact.tmpl", 
						"srcLength": "25"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4143", 
					"data": "
		", 
					"srcLength": "3"
				}, 
				"3: page": {
					"srcIndexStart": "4146", 
					"srcLength": "58", 
					"0: data": {
						"srcIndexStart": "4153", 
						"data": "", 
						"srcLength": "1"
					}, 
					"1: file": {
						"srcIndexStart": "4154", 
						"data": "docs.Start.Contact.MessageBoard.tmpl", 
						"srcLength": "47", 
						"0: data": {
							"srcIndexStart": "4161", 
							"data": "docs.Start.Contact.MessageBoard.tmpl", 
							"srcLength": "38"
						}
					}, 
					"2: data": {
						"srcIndexStart": "4201", 
						"data": "", 
						"srcLength": "1"
					}
				}, 
				"4: data": {
					"srcIndexStart": "4204", 
					"data": "
		", 
					"srcLength": "3"
				}, 
				"5: page": {
					"srcIndexStart": "4207", 
					"srcLength": "58", 
					"0: data": {
						"srcIndexStart": "4214", 
						"data": "", 
						"srcLength": "1"
					}, 
					"1: file": {
						"srcIndexStart": "4215", 
						"data": "docs.Start.Contact.Tickets.tmpl", 
						"srcLength": "47", 
						"0: data": {
							"srcIndexStart": "4222", 
							"data": "docs.Start.Contact.Tickets.tmpl", 
							"srcLength": "38"
						}
					}, 
					"2: data": {
						"srcIndexStart": "4262", 
						"data": "", 
						"srcLength": "1"
					}
				}, 
				"6: data": {
					"srcIndexStart": "4265", 
					"data": "", 
					"srcLength": "2"
				}
			}, 
			"16: data": {
				"srcIndexStart": "4269", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"59: data": {
			"srcIndexStart": "4272", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"60: page": {
			"srcIndexStart": "4273", 
			"srcLength": "515", 
			"0: data": {
				"srcIndexStart": "4280", 
				"data": "", 
				"srcLength": "2"
			}, 
			"1: file": {
				"srcIndexStart": "4282", 
				"data": "docs.Tools.tmpl", 
				"srcLength": "26", 
				"0: data": {
					"srcIndexStart": "4289", 
					"data": "docs.Tools.tmpl", 
					"srcLength": "17"
				}
			}, 
			"2: data": {
				"srcIndexStart": "4308", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"3: page": {
				"srcIndexStart": "4310", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "4317", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4318", 
					"data": "docs.Tools.DumpCGT.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "4325", 
						"data": "docs.Tools.DumpCGT.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4355", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"4: data": {
				"srcIndexStart": "4358", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"5: page": {
				"srcIndexStart": "4360", 
				"srcLength": "112", 
				"0: data": {
					"srcIndexStart": "4367", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4368", 
					"data": "docs.Tools.GenDocs.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "4375", 
						"data": "docs.Tools.GenDocs.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4405", 
					"data": "
		", 
					"srcLength": "3"
				}, 
				"3: page": {
					"srcIndexStart": "4408", 
					"srcLength": "60", 
					"0: data": {
						"srcIndexStart": "4415", 
						"data": "", 
						"srcLength": "1"
					}, 
					"1: file": {
						"srcIndexStart": "4416", 
						"data": "docs.Tools.GenDocs.TemplateFormat.tmpl", 
						"srcLength": "49", 
						"0: data": {
							"srcIndexStart": "4423", 
							"data": "docs.Tools.GenDocs.TemplateFormat.tmpl", 
							"srcLength": "40"
						}
					}, 
					"2: data": {
						"srcIndexStart": "4465", 
						"data": "", 
						"srcLength": "1"
					}
				}, 
				"4: data": {
					"srcIndexStart": "4468", 
					"data": "", 
					"srcLength": "2"
				}
			}, 
			"6: data": {
				"srcIndexStart": "4472", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"7: page": {
				"srcIndexStart": "4474", 
				"srcLength": "45", 
				"0: data": {
					"srcIndexStart": "4481", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4482", 
					"data": "docs.Tools.GRMC.tmpl", 
					"srcLength": "34", 
					"0: data": {
						"srcIndexStart": "4489", 
						"data": "docs.Tools.GRMC.tmpl", 
						"srcLength": "25"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4516", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"8: data": {
				"srcIndexStart": "4519", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"9: page": {
				"srcIndexStart": "4521", 
				"srcLength": "114", 
				"0: data": {
					"srcIndexStart": "4528", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4529", 
					"data": "docs.Tools.JsonViewer.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "4536", 
						"data": "docs.Tools.JsonViewer.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4566", 
					"data": "
		", 
					"srcLength": "3"
				}, 
				"3: page": {
					"srcIndexStart": "4569", 
					"srcLength": "62", 
					"0: data": {
						"srcIndexStart": "4576", 
						"data": "", 
						"srcLength": "1"
					}, 
					"1: file": {
						"srcIndexStart": "4577", 
						"data": "docs.Tools.JsonViewer.ParseTreeMode.tmpl", 
						"srcLength": "51", 
						"0: data": {
							"srcIndexStart": "4584", 
							"data": "docs.Tools.JsonViewer.ParseTreeMode.tmpl", 
							"srcLength": "42"
						}
					}, 
					"2: data": {
						"srcIndexStart": "4628", 
						"data": "", 
						"srcLength": "1"
					}
				}, 
				"4: data": {
					"srcIndexStart": "4631", 
					"data": "", 
					"srcLength": "2"
				}
			}, 
			"10: data": {
				"srcIndexStart": "4635", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"11: page": {
				"srcIndexStart": "4637", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "4644", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4645", 
					"data": "docs.Tools.Parse.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "4652", 
						"data": "docs.Tools.Parse.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4682", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"12: data": {
				"srcIndexStart": "4685", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"13: page": {
				"srcIndexStart": "4687", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "4694", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4695", 
					"data": "docs.Tools.StaticLang.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "4702", 
						"data": "docs.Tools.StaticLang.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4732", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"14: data": {
				"srcIndexStart": "4735", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"15: page": {
				"srcIndexStart": "4737", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "4744", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4745", 
					"data": "docs.Tools.OtherTools.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "4752", 
						"data": "docs.Tools.OtherTools.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4782", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"16: data": {
				"srcIndexStart": "4785", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"61: data": {
			"srcIndexStart": "4788", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"62: page": {
			"srcIndexStart": "4789", 
			"srcLength": "147", 
			"0: data": {
				"srcIndexStart": "4796", 
				"data": "", 
				"srcLength": "2"
			}, 
			"1: file": {
				"srcIndexStart": "4798", 
				"data": "docs.APIOver.tmpl", 
				"srcLength": "27", 
				"0: data": {
					"srcIndexStart": "4805", 
					"data": "docs.APIOver.tmpl", 
					"srcLength": "18"
				}
			}, 
			"2: data": {
				"srcIndexStart": "4825", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"3: page": {
				"srcIndexStart": "4827", 
				"srcLength": "52", 
				"0: data": {
					"srcIndexStart": "4834", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4835", 
					"data": "docs.APIOver.StatVsDyn.tmpl", 
					"srcLength": "41", 
					"0: data": {
						"srcIndexStart": "4842", 
						"data": "docs.APIOver.StatVsDyn.tmpl", 
						"srcLength": "32"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4876", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"4: data": {
				"srcIndexStart": "4879", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"5: page": {
				"srcIndexStart": "4881", 
				"srcLength": "52", 
				"0: data": {
					"srcIndexStart": "4888", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4889", 
					"data": "docs.APIOver.AmbiguousSym.tmpl", 
					"srcLength": "41", 
					"0: data": {
						"srcIndexStart": "4896", 
						"data": "docs.APIOver.AmbiguousSym.tmpl", 
						"srcLength": "32"
					}
				}, 
				"2: data": {
					"srcIndexStart": "4930", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"6: data": {
				"srcIndexStart": "4933", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"63: data": {
			"srcIndexStart": "4936", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"64: page": {
			"srcIndexStart": "4937", 
			"srcLength": "439", 
			"0: data": {
				"srcIndexStart": "4944", 
				"data": "", 
				"srcLength": "2"
			}, 
			"1: file": {
				"srcIndexStart": "4946", 
				"data": "docs.APIRef.tmpl", 
				"srcLength": "27", 
				"0: data": {
					"srcIndexStart": "4953", 
					"data": "docs.APIRef.tmpl", 
					"srcLength": "18"
				}
			}, 
			"2: data": {
				"srcIndexStart": "4973", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"3: page": {
				"srcIndexStart": "4975", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "4982", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "4983", 
					"data": "docs.APIRef.Base.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "4990", 
						"data": "docs.APIRef.Base.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5020", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"4: data": {
				"srcIndexStart": "5023", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"5: page": {
				"srcIndexStart": "5025", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "5032", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5033", 
					"data": "docs.APIRef.Exception.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "5040", 
						"data": "docs.APIRef.Exception.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5070", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"6: data": {
				"srcIndexStart": "5073", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"7: page": {
				"srcIndexStart": "5075", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "5082", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5083", 
					"data": "docs.APIRef.Language.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "5090", 
						"data": "docs.APIRef.Language.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5120", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"8: data": {
				"srcIndexStart": "5123", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"9: page": {
				"srcIndexStart": "5125", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "5132", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5133", 
					"data": "docs.APIRef.Lexer.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "5140", 
						"data": "docs.APIRef.Lexer.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5170", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"10: data": {
				"srcIndexStart": "5173", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"11: page": {
				"srcIndexStart": "5175", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "5182", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5183", 
					"data": "docs.APIRef.Parser.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "5190", 
						"data": "docs.APIRef.Parser.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5220", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"12: data": {
				"srcIndexStart": "5223", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"13: page": {
				"srcIndexStart": "5225", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "5232", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5233", 
					"data": "docs.APIRef.Symbol.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "5240", 
						"data": "docs.APIRef.Symbol.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5270", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"14: data": {
				"srcIndexStart": "5273", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"15: page": {
				"srcIndexStart": "5275", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "5282", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5283", 
					"data": "docs.APIRef.Token.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "5290", 
						"data": "docs.APIRef.Token.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5320", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"16: data": {
				"srcIndexStart": "5323", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"17: page": {
				"srcIndexStart": "5325", 
				"srcLength": "48", 
				"0: data": {
					"srcIndexStart": "5332", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5333", 
					"data": "docs.APIRef.Ver.tmpl", 
					"srcLength": "37", 
					"0: data": {
						"srcIndexStart": "5340", 
						"data": "docs.APIRef.Ver.tmpl", 
						"srcLength": "28"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5370", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"18: data": {
				"srcIndexStart": "5373", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"65: data": {
			"srcIndexStart": "5376", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"66: page": {
			"srcIndexStart": "5377", 
			"srcLength": "232", 
			"0: data": {
				"srcIndexStart": "5384", 
				"data": "", 
				"srcLength": "2"
			}, 
			"1: file": {
				"srcIndexStart": "5386", 
				"data": "docs.SampleApps.tmpl", 
				"srcLength": "31", 
				"0: data": {
					"srcIndexStart": "5393", 
					"data": "docs.SampleApps.tmpl", 
					"srcLength": "22"
				}
			}, 
			"2: data": {
				"srcIndexStart": "5417", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"3: page": {
				"srcIndexStart": "5419", 
				"srcLength": "61", 
				"0: data": {
					"srcIndexStart": "5426", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5427", 
					"data": "docs.SampleApps.CalculatorStatic.tmpl", 
					"srcLength": "50", 
					"0: data": {
						"srcIndexStart": "5434", 
						"data": "docs.SampleApps.CalculatorStatic.tmpl", 
						"srcLength": "41"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5477", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"4: data": {
				"srcIndexStart": "5480", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"5: page": {
				"srcIndexStart": "5482", 
				"srcLength": "61", 
				"0: data": {
					"srcIndexStart": "5489", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5490", 
					"data": "docs.SampleApps.CalculatorDynamic.tmpl", 
					"srcLength": "50", 
					"0: data": {
						"srcIndexStart": "5497", 
						"data": "docs.SampleApps.CalculatorDynamic.tmpl", 
						"srcLength": "41"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5540", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"6: data": {
				"srcIndexStart": "5543", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"7: page": {
				"srcIndexStart": "5545", 
				"srcLength": "61", 
				"0: data": {
					"srcIndexStart": "5552", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5553", 
					"data": "docs.SampleApps.SampleGenericParse.tmpl", 
					"srcLength": "50", 
					"0: data": {
						"srcIndexStart": "5560", 
						"data": "docs.SampleApps.SampleGenericParse.tmpl", 
						"srcLength": "41"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5603", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"8: data": {
				"srcIndexStart": "5606", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"67: data": {
			"srcIndexStart": "5609", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"68: page": {
			"srcIndexStart": "5610", 
			"srcLength": "41", 
			"0: data": {
				"srcIndexStart": "5617", 
				"data": "", 
				"srcLength": "1"
			}, 
			"1: file": {
				"srcIndexStart": "5618", 
				"data": "docs.CGT.tmpl", 
				"srcLength": "30", 
				"0: data": {
					"srcIndexStart": "5625", 
					"data": "docs.CGT.tmpl", 
					"srcLength": "21"
				}
			}, 
			"2: data": {
				"srcIndexStart": "5648", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"69: data": {
			"srcIndexStart": "5651", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"70: page": {
			"srcIndexStart": "5652", 
			"srcLength": "41", 
			"0: data": {
				"srcIndexStart": "5659", 
				"data": "", 
				"srcLength": "1"
			}, 
			"1: file": {
				"srcIndexStart": "5660", 
				"data": "docs.FAQ.tmpl", 
				"srcLength": "30", 
				"0: data": {
					"srcIndexStart": "5667", 
					"data": "docs.FAQ.tmpl", 
					"srcLength": "21"
				}
			}, 
			"2: data": {
				"srcIndexStart": "5690", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"71: data": {
			"srcIndexStart": "5693", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"72: page": {
			"srcIndexStart": "5694", 
			"srcLength": "41", 
			"0: data": {
				"srcIndexStart": "5701", 
				"data": "", 
				"srcLength": "1"
			}, 
			"1: file": {
				"srcIndexStart": "5702", 
				"data": "docs.ChangeLog.tmpl", 
				"srcLength": "30", 
				"0: data": {
					"srcIndexStart": "5709", 
					"data": "docs.ChangeLog.tmpl", 
					"srcLength": "21"
				}
			}, 
			"2: data": {
				"srcIndexStart": "5732", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"73: data": {
			"srcIndexStart": "5735", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"74: page": {
			"srcIndexStart": "5736", 
			"srcLength": "41", 
			"0: data": {
				"srcIndexStart": "5743", 
				"data": "", 
				"srcLength": "1"
			}, 
			"1: file": {
				"srcIndexStart": "5744", 
				"data": "docs.GitMaster.tmpl", 
				"srcLength": "30", 
				"0: data": {
					"srcIndexStart": "5751", 
					"data": "docs.GitMaster.tmpl", 
					"srcLength": "21"
				}
			}, 
			"2: data": {
				"srcIndexStart": "5774", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"75: data": {
			"srcIndexStart": "5777", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"76: page": {
			"srcIndexStart": "5778", 
			"srcLength": "41", 
			"0: data": {
				"srcIndexStart": "5785", 
				"data": "", 
				"srcLength": "1"
			}, 
			"1: file": {
				"srcIndexStart": "5786", 
				"data": "docs.Future.tmpl", 
				"srcLength": "30", 
				"0: data": {
					"srcIndexStart": "5793", 
					"data": "docs.Future.tmpl", 
					"srcLength": "21"
				}
			}, 
			"2: data": {
				"srcIndexStart": "5816", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"77: data": {
			"srcIndexStart": "5819", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"78: page": {
			"srcIndexStart": "5820", 
			"srcLength": "134", 
			"0: data": {
				"srcIndexStart": "5827", 
				"data": "", 
				"srcLength": "1"
			}, 
			"1: file": {
				"srcIndexStart": "5828", 
				"data": "docs.Dev.tmpl", 
				"srcLength": "24", 
				"0: data": {
					"srcIndexStart": "5835", 
					"data": "docs.Dev.tmpl", 
					"srcLength": "15"
				}
			}, 
			"2: data": {
				"srcIndexStart": "5852", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"3: page": {
				"srcIndexStart": "5854", 
				"srcLength": "46", 
				"0: data": {
					"srcIndexStart": "5861", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5862", 
					"data": "docs.Dev.DevScripts.tmpl", 
					"srcLength": "35", 
					"0: data": {
						"srcIndexStart": "5869", 
						"data": "docs.Dev.DevScripts.tmpl", 
						"srcLength": "26"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5897", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"4: data": {
				"srcIndexStart": "5900", 
				"data": "
	", 
				"srcLength": "2"
			}, 
			"5: page": {
				"srcIndexStart": "5902", 
				"srcLength": "49", 
				"0: data": {
					"srcIndexStart": "5909", 
					"data": "", 
					"srcLength": "1"
				}, 
				"1: file": {
					"srcIndexStart": "5910", 
					"data": "docs.Dev.DevStaticLang.tmpl", 
					"srcLength": "38", 
					"0: data": {
						"srcIndexStart": "5917", 
						"data": "docs.Dev.DevStaticLang.tmpl", 
						"srcLength": "29"
					}
				}, 
				"2: data": {
					"srcIndexStart": "5948", 
					"data": "", 
					"srcLength": "1"
				}
			}, 
			"6: data": {
				"srcIndexStart": "5951", 
				"data": "", 
				"srcLength": "1"
			}
		}, 
		"79: data": {
			"srcIndexStart": "5954", 
			"data": "", 
			"srcLength": "1"
		}
	}
}